Skip to main content
Resource Center/Hardware/SAN Storage Operations/FC Storage Operations

CheckScsiLunClusterStatus

CheckScsiLunClusterStatus

PUT/zstack/v1/storage-devices/scsi-lun/{uuid}/cluster/{clusterUuid}

Operation ID

CheckScsiLunClusterStatus

Since

3.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

  • clusterUuid
    StringRequired

    The cluster UUID.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    ScsiLunClusterStatusInventoryRequired

    See inventory.

    • isAllHostsAttached
      BooleanRequired

      Whether the SCSI LUN is connected to all the hosts that are attached to the cluster.

    • attachedHosts
      ListRequired

      See attachedHosts.

      • zoneUuid
        StringRequired

        The zone UUID.

      • name
        StringRequired

        The resource name.

      • uuid
        StringRequired

        The resource UUID.

      • clusterUuid
        StringRequired

        The cluster UUID.

      • description
        StringRequired

        The detailed description of the resource.

      • managementIp
        StringRequired

        The management IP.

      • hypervisorType
        StringRequired

        The hypervisor type.

      • state
        StringRequired

        The resource state.

      • status
        StringRequired

        The resource status.

      • totalCpuCapacity
        LongRequired

        The total CPU capacity.

      • availableCpuCapacity
        LongRequired

        The available CPU capacity.

      • totalMemoryCapacity
        LongRequired

        The total memory capacity.

      • availableMemoryCapacity
        LongRequired

        The available memory capacity.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

    • unattachedHosts
      ListRequired

      See unattachedHosts.

      • zoneUuid
        StringRequired

        The zone UUID.

      • name
        StringRequired

        The resource name.

      • uuid
        StringRequired

        The resource UUID.

      • clusterUuid
        StringRequired

        The cluster UUID.

      • description
        StringRequired

        The detailed description of the resource.

      • managementIp
        StringRequired

        The management IP.

      • hypervisorType
        StringRequired

        The hypervisor type.

      • state
        StringRequired

        The resource state.

      • status
        StringRequired

        The resource status.

      • totalCpuCapacity
        LongRequired

        The total CPU capacity.

      • availableCpuCapacity
        LongRequired

        The available CPU capacity.

      • totalMemoryCapacity
        LongRequired

        The total memory capacity.

      • availableMemoryCapacity
        LongRequired

        The available memory capacity.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.